package com.xydl.cac.util;

public class DataTable {

    public static String getTimeField(String tableName) {
        switch (tableName) {
            case "data_dlq_jbfd":
            case "data_sf6_qtsf":
            case "data_sf6_qtyl":
            case "data_tx":
            case "data_ws":
            case "data_ysp":
            case "data_dcyw":
            case "data_dr_jyjc":
            case "data_jsyhw_jyjc":
            case "data_fhzxq":
            case "data_fhdlbx":
            case "data_microclimate":
                return "acquisitionTime";
            case "data_eaif_h":
            case "data_eif_h":
                return "capturetime";
            default:
                return "d_time";
        }
    }

    public static String getDevidField(String tableName) {
        return "eqmid";
    }

    public static String getDevType(String tableName) {
        switch (tableName) {
            case "data_byq_jbfd":
                return "021001"; // 变压器/电抗器 局部放电
            case "data_ysp":
                return "021002"; // 变压器/电抗器 油中溶解气体
            case "data_ws":
                return "021003"; // 变压器/电抗器 微水
            case "data_tx":
                return "021004"; // 变压器/电抗器 铁芯接地电流
            case "data_dcyw":
                return "021005"; // 变压器/电抗器 顶层油温
            case "data_dr_jyjc":
                return "022001"; // 电容型设备 绝缘监测
            case "data_jsyhw_jyjc":
                return "023001"; // 金属氧化物避雷器 绝缘监测
            case "data_dlq_jbfd":
                return "024001"; // 断路器/GIS 局部放电
            case "data_fhzxq":
                return "024002"; // 断路器/GIS 分合闸线圈电流波形
            case "data_fhdlbx":
                return "024003"; // 断路器/GIS 负荷电流波形
            case "data_sf6_qtyl":
                return "024004"; // 断路器/GIS SF6 气体压力
            case "data_sf6_qtsf":
                return "024005"; // 断路器/GIS SF6气体水分
            case "data_cnj":
                return "024006"; // 断路器/GIS 储能电机工作状态
            case "data_microclimate":
                return "025001"; // 综合 变电站微气象
            default:
                return "";
        }
    }
}
